#include<iostream>
#include<cstdlib>
using namespace std;
int main()
{
	int k, p=0;
	long long n, s[20000];
	cin>>n>>k;
	for(int i=0; i<n; i++){
	 cin>>s[i];
	if(s[i]==k && i<n-1) p=i+1;
}
cout<<s[p];
return 0;
}